For the complete documentation index, see llms.txt. This page is also available as Markdown.

Proxies

Get Proxy Availability

GET /access/availability/sneaker-dc

Returns a list of countries with available proxies count.

Example request:

curl -X GET "https://apid.iproyal.com/v1/reseller/access/availability/sneaker-dc" \
     -H "X-Access-Token: <your_access_token>" \
     -H "Content-Type: application/json"
<?php
$api_token = '<your_access_token>';

$url = "https://apid.iproyal.com/v1/reseller/access/availability/sneaker-dc";

$options = [
    CURLOPT_URL => $url,
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        "X-Access-Token: $api_token",
        'Content-Type: 'application/json'
    ]
];

$ch = curl_init();
curl_setopt_array($ch, $options);
$response = curl_exec($ch);

if (curl_errno($ch)) {
    echo 'Error:' . curl_error($ch);
} else {
    echo $response;
}

curl_close($ch);
?>

Example response:

{
    "data": [
        {
            "country_code": "DE",
            "country_name": "Germany",
            "available_ips": 2887
        },
        {
            "country_code": "GB",
            "country_name": "United Kingdom",
            "available_ips": 2351
        },
        {
            "country_code": "US",
            "country_name": "United States",
            "available_ips": 1112
        },
        {
            "country_code": "NL",
            "country_name": "Netherlands",
            "available_ips": 1293
        },
        {
            "country_code": "IT",
            "country_name": "Italy",
            "available_ips": 1812
        },
        ...
    ]
}

Change Credentials

GET /orders/proxies/change-credentials

Body Parameters

Name
Type
Description

order_id

Integer

Order id

proxies

Array

List of proxies

username

String

Proxy connection username

password

String

Proxy connection password

random_password

Boolean

Should we assign a random password

is_reset

Boolean

Should we assign a random username and password

Example request:

Last updated

Was this helpful?